---
title: Code of Co-operation
---

> Huge thanks to the folks at [Varia](https://varia.zone/) &
> [LURK](https://lurk.org) who carefully prepared wonderful Code of Conduct
> documents which we have adapted for our needs (with permission). See the
> original documents [here](https://varia.zone/en/pages/code-of-conduct.html)
> and [there](https://lurk.org/TOS.txt).

Co-op Cloud is used by several communities coming from a variety of cultural,
ethnic and professional backgrounds. We strive for to be welcoming to people of
these various backgrounds and provide a non-toxic and harassment-free
environment. 

The Code of Conduct is a set of guidelines that help establish shared values
and ensure that behaviour that may harm participants is avoided. 

We acknowledge that we come from different backgrounds and all have certain
biases and privileges. Therefore, this Code of Conduct cannot account for all
the ways that people might feel excluded, unsafe or uncomfortable. We commit to
open dialogues, and as such this Code of Conduct is never finished and should
change whenever needed. We amend this document over time so it reflects the
priorities and sensitivities of the community as it changes.

It is a collective responsibility for all of us to enact the behaviour
described in this document.

## Expected behaviour

We expect each other to:

### Be considerate...

...of each other, the space we enter, the Co-op Cloud community and the
practices that it houses.

### Be open and generous...

...while trying not to make assumptions about others. This can include
assumptions about identity, knowledge, experiences or preferred pronouns. Be
generous with our time and our abilities, when we are able to. Help others, but
ask first. There are many ways to contribute to a collective practice, which
may differ from our individual ways.

### Be respectful...

...of different viewpoints and experiences. Respect physical and emotional
boundaries. Be respectful of each others' limited time and energy. Take each
other and each other's practices seriously. Acknowledge that this might lead to
disagreement. However, disagreement is no excuse for poor manners.

### Be responsible....

...for the promises we make, meaning that we follow up on our commitments. We
take responsibility for the good things we do, but also for the bad ones. We
listen to and act upon respectful feedback. We correct ourselves when
necessary, keeping in mind that the impact of our words and actions on other
people doesn't always match our intent.

### Be dedicated...

...which means not letting the group happen to us, but making the group
together. We participate in the group with self-respect and don't exhaust
ourselves. This might mean saying how we feel, setting boundaries, being clear
about our expectations. Nobody is expected to be perfect in this community.
Asking questions early avoids problems later. Those who are asked should be
responsive and helpful.

### Be empathetic...

..by actively listening to others and not dominating discussions. We give each
other the chance to improve and let each other step up into positions of
responsibility. We make room for others. We are aware of each other's feelings,
provide support where necessary, and know when to step back. One's idea of
caring may differ from how others want to be cared for. We ask to make sure
that our actions are wanted.

### Foster an inclusive environment...

...by trying to create opportunities for others to express views, share skills
and make other contributions. Being together is something we actively work on
and requires negotiation. We recognize that not everyone has the same
opportunities, therefore we must be sensitive to the context we operate in.
There are implicit hierarchies that we can challenge, and we should strive to
do so. When we organize something (projects, events, etc.), we think about how
we can consider degrees of privilege, account for the needs of others, promote
an activist stance and support other voices.

## Unacceptable behaviour

### No structural or personal discrimination

Attitudes or comments promoting or reinforcing the oppression of any groups or
people based on gender, gender identity and expression, race, ethnicity,
nationality, sexuality, sexual orientation, religion, disability, mental
illness, neurodiversity, personal appearance, physical appearance, body size,
age, or class. Do not claim “reverse-isms”, for example “reverse racism”.

### No harrassment

Neither public nor private. Also no deliberate intimidation, stalking,
following, harassing photography or recording, disruption of events,
aggressive, slanderous, derogatory, or threatening comments online or in person
and unwanted physical or electronic contact or sexual attention. No posting or
disseminating libel, slander, or other disinformation.

### No violation of privacy

Namely publishing others’ private information, such as a physical or electronic
address, without explicit permission. Do not take or publish photos or
recordings of others after their request to not do so. Delete recordings if
asked.

### No unwelcome sexual conduct

Including unwanted sexual language, imagery, actions, attention or advances.

### No destructive behaviour

Or any other conduct which could reasonably be considered inappropriate. This
includes (but is not exclusive to) depictions of violence without content
warnings, consistently and purposely derailing or disrupting conversations, or
other behaviour that persistently disrupts the ability of others to engage in
the group or space.

## Intervention procedure

**Immediate intervention (help is needed now!)**

If you are feeling unsafe, you can immediately contact the Co-op Cloud members
who are tasked with making sure the code of co-operation is respected.

These contact people are members of Co-op Cloud who will do their best to help,
or to find the correct assistance if relevant/necessary. Here is the list so
far. If you would like to help in this task, please also feel free to volunteer
to be a support member.

> handle: `sordidwhiskey` contact:
> [helo@coopcloud.tech](mailto:helo@coopcloud.tech) handle: `3wc` contact:
> [helo@coopcloud.tech](mailto:helo@coopcloud.tech)

For example, something happened during a still-ongoing online event and needs
to be acted upon right away. Action is taken immediately when this violation of
the code of co-operation is reported. This could involve removing an attendee
from said event.

## Non-immediate intervention (a situation that requires more time)

Other violations need to be considered and consulted upon with more people or
in a more measured way. For example: If you experience an ongoing pattern of
harrassment; if you witness structurally unacceptable behaviour; if somebody
keeps "accidentally" using discriminatory language, after being asked to stop.

If you feel comfortable or able, discuss the issues with the involved parties
before consulting a mediator. We prefer to constructively resolve disagreements
together and work to right the wrong, when it is possible and safe to do so.
However, if the problems still persist, those who are responsible for enforcing
the code of co-operation can help you deal with these kinds of problems.
Contact the members listed above. Information will be handled with sensitivity.
